Subject: bug#68765: 30.0.50; Adding window-tool-bar package.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 May 2024 12:50:07 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Tue, 14 May 2024 09:01:17 +0300
> 
> >>> Does this sound like a good plan?
> >> Thanks, looks like a good thing to do.
> >
> > Thank you!  Final version of all three commits attached.  These address all
> > comments raised on this thread.
> >
> > I think after these patches are applied, the remaining work to resolve this
> > would be having the ELPA package added and me updating NEWS and the manual.
> > I can start on the updates.
> 
> Thanks, the changes in tab-line.el look nice.
> 
> I hope your other patches for tool-bar.el and window-tool-bar.el
> will get the green light as well.

Byte-compiling emits some warnings:

  In toplevel form:
  window-tool-bar.el:341:21: Warning: `mouse-wheel-down-event' is an obsolete variable (as of 30.1); use `mouse-wheel-buttons' instead.
  window-tool-bar.el:341:44: Warning: `mouse-wheel-up-event' is an obsolete variable (as of 30.1); use `mouse-wheel-buttons' instead.
  window-tool-bar.el:342:21: Warning: `mouse-wheel-left-event' is an obsolete variable (as of 30.1); use `mouse-wheel-buttons' instead.
  window-tool-bar.el:342:44: Warning: `mouse-wheel-right-event' is an obsolete variable (as of 30.1); use `mouse-wheel-buttons' instead.

Jared, could you please take care of these?

Thanks.